Produtos
Atualizar produto
PUT
/
products
/
{id}
Atualizar produto
curl --request PUT \
--url https://api.connectadesk.com/api/v1/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Camiseta preta M",
"sku": "CAM-PRETA-M",
"price": "1299.90",
"description": "<string>",
"categoryId": 5,
"isActive": true
}
'import requests
url = "https://api.connectadesk.com/api/v1/products/{id}"
payload = {
"name": "Camiseta preta M",
"sku": "CAM-PRETA-M",
"price": "1299.90",
"description": "<string>",
"categoryId": 5,
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Camiseta preta M',
sku: 'CAM-PRETA-M',
price: '1299.90',
description: '<string>',
categoryId: 5,
isActive: true
})
};
fetch('https://api.connectadesk.com/api/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Camiseta preta M',
'sku' => 'CAM-PRETA-M',
'price' => '1299.90',
'description' => '<string>',
'categoryId' => 5,
'isActive' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/products/{id}"
payload := strings.NewReader("{\n \"name\": \"Camiseta preta M\",\n \"sku\": \"CAM-PRETA-M\",\n \"price\": \"1299.90\",\n \"description\": \"<string>\",\n \"categoryId\": 5,\n \"isActive\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.connectadesk.com/api/v1/products/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Camiseta preta M\",\n \"sku\": \"CAM-PRETA-M\",\n \"price\": \"1299.90\",\n \"description\": \"<string>\",\n \"categoryId\": 5,\n \"isActive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Camiseta preta M\",\n \"sku\": \"CAM-PRETA-M\",\n \"price\": \"1299.90\",\n \"description\": \"<string>\",\n \"categoryId\": 5,\n \"isActive\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 305,
"name": "Monitor 27 polegadas 4K",
"sku": "MONITOR-27-POLEGADAS-4K",
"price": "1299.90",
"description": "Painel IPS, 60 Hz, entrada HDMI e DisplayPort.",
"image": "https://cdn.exemplo.com/products/305.png",
"isActive": true,
"categoryId": 7,
"category": {
"id": 7,
"name": "Periféricos",
"color": "#0E7490",
"createdAt": "2026-03-11T14:20:00.000Z",
"updatedAt": "2026-03-11T14:20:00.000Z"
},
"createdAt": "2026-04-02T11:15:00.000Z",
"updatedAt": "2026-08-18T10:40:00.000Z"
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O campo `number` é obrigatório."
}
}{
"error": {
"code": "ERR_API_UNAUTHORIZED",
"message": "Token de API ausente ou inválido."
}
}{
"error": {
"code": "ERR_API_FORBIDDEN_SCOPE",
"message": "O token não tem permissão para este método neste módulo. A mensagem real nomeia os dois."
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}{
"error": {
"code": "ERR_API_IDEMPOTENCY_KEY_REUSED",
"message": "Idempotency-Key já usada com um corpo diferente."
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}Autorizações
Token da API no formato sk_live_….
Cabeçalhos
Chave única da operação. Se você repetir a chamada com a mesma chave e o mesmo corpo, recebe a resposta já gravada.
Maximum string length:
200Parâmetros de caminho
Corpo
application/json
Nome exibido.
Exemplo:
"Camiseta preta M"
Código único do produto na empresa. Se não for enviado, é gerado a partir do nome.
Exemplo:
"CAM-PRETA-M"
Preço de tabela, em texto decimal para não perder precisão.
Exemplo:
"1299.90"
Descrição do produto.
Categoria a que o produto pertence.
Exemplo:
5
Produto ativo. Um produto inativo não aparece na busca e não pode ser vinculado a um card.
Resposta
OK
Show child attributes
Show child attributes
Exemplo:
{ "id": 305, "name": "Monitor 27 polegadas 4K", "sku": "MONITOR-27-POLEGADAS-4K", "price": "1299.90", "description": "Painel IPS, 60 Hz, entrada HDMI e DisplayPort.", "image": "https://cdn.exemplo.com/products/305.png", "isActive": true, "categoryId": 7, "category": { "id": 7, "name": "Periféricos", "color": "#0E7490", "createdAt": "2026-03-11T14:20:00.000Z", "updatedAt": "2026-03-11T14:20:00.000Z" }, "createdAt": "2026-04-02T11:15:00.000Z", "updatedAt": "2026-08-18T10:40:00.000Z" }
⌘I
Atualizar produto
curl --request PUT \
--url https://api.connectadesk.com/api/v1/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Camiseta preta M",
"sku": "CAM-PRETA-M",
"price": "1299.90",
"description": "<string>",
"categoryId": 5,
"isActive": true
}
'import requests
url = "https://api.connectadesk.com/api/v1/products/{id}"
payload = {
"name": "Camiseta preta M",
"sku": "CAM-PRETA-M",
"price": "1299.90",
"description": "<string>",
"categoryId": 5,
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Camiseta preta M',
sku: 'CAM-PRETA-M',
price: '1299.90',
description: '<string>',
categoryId: 5,
isActive: true
})
};
fetch('https://api.connectadesk.com/api/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Camiseta preta M',
'sku' => 'CAM-PRETA-M',
'price' => '1299.90',
'description' => '<string>',
'categoryId' => 5,
'isActive' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/products/{id}"
payload := strings.NewReader("{\n \"name\": \"Camiseta preta M\",\n \"sku\": \"CAM-PRETA-M\",\n \"price\": \"1299.90\",\n \"description\": \"<string>\",\n \"categoryId\": 5,\n \"isActive\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.connectadesk.com/api/v1/products/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Camiseta preta M\",\n \"sku\": \"CAM-PRETA-M\",\n \"price\": \"1299.90\",\n \"description\": \"<string>\",\n \"categoryId\": 5,\n \"isActive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Camiseta preta M\",\n \"sku\": \"CAM-PRETA-M\",\n \"price\": \"1299.90\",\n \"description\": \"<string>\",\n \"categoryId\": 5,\n \"isActive\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 305,
"name": "Monitor 27 polegadas 4K",
"sku": "MONITOR-27-POLEGADAS-4K",
"price": "1299.90",
"description": "Painel IPS, 60 Hz, entrada HDMI e DisplayPort.",
"image": "https://cdn.exemplo.com/products/305.png",
"isActive": true,
"categoryId": 7,
"category": {
"id": 7,
"name": "Periféricos",
"color": "#0E7490",
"createdAt": "2026-03-11T14:20:00.000Z",
"updatedAt": "2026-03-11T14:20:00.000Z"
},
"createdAt": "2026-04-02T11:15:00.000Z",
"updatedAt": "2026-08-18T10:40:00.000Z"
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O campo `number` é obrigatório."
}
}{
"error": {
"code": "ERR_API_UNAUTHORIZED",
"message": "Token de API ausente ou inválido."
}
}{
"error": {
"code": "ERR_API_FORBIDDEN_SCOPE",
"message": "O token não tem permissão para este método neste módulo. A mensagem real nomeia os dois."
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}{
"error": {
"code": "ERR_API_IDEMPOTENCY_KEY_REUSED",
"message": "Idempotency-Key já usada com um corpo diferente."
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}
